- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# BumpMapping.cpp File Reference

`#include <osgFX/BumpMapping>`
`#include <osgFX/Registry>`
`#include <osg/VertexProgram>`
`#include <osg/FragmentProgram>`
`#include <osg/Texture2D>`
`#include <osg/Depth>`
`#include <osg/TexEnv>`
`#include <osg/TexEnvCombine>`
`#include <osg/BlendFunc>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osgUtil/TangentSpaceGenerator>`
`#include <osgDB/ReadFile>`
`#include <sstream>`

Include dependency graph for BumpMapping.cpp:

## Variables
BumpMapping * | bm_
int | du_
int | nu_
osg::ref_ptr< osg::VertexProgram > | vp_
int | param_
unsigned int | first_context_
int | lightnum_
int | diffuseunit_
int | normalunit_
osg::ref_ptr< osg::Texture2D > | diffuse_tex_
osg::ref_ptr< osg::Texture2D > | normal_tex_
int | lightnum_
int | diffuseunit_
int | normalunit_
osg::ref_ptr< osg::Texture2D > | diffuse_tex_
osg::ref_ptr< osg::Texture2D > | normal_tex_

## Variable Documentation

BumpMapping* bm_

osg::ref_ptr<osg::Texture2D> diffuse_tex_

osg::ref_ptr<osg::Texture2D> diffuse_tex_

int diffuseunit_

int diffuseunit_

int du_

unsigned int first_context_

int lightnum_

int lightnum_

osg::ref_ptr<osg::Texture2D> normal_tex_

osg::ref_ptr<osg::Texture2D> normal_tex_

int normalunit_

int normalunit_

int nu_

int param_

osg::ref_ptr<osg::VertexProgram> vp_